## xorg 7.0.0-0ubuntu45

=== debian/changelog ===
xorg (7.0.0-0ubuntu45) dapper; urgency=low

  * Apply patch from LaMont to skip Xorg configuration in the absense
    of /dev/fb0, so the server can be installed on headless machines
    like, oh, say, the livefs buildd (closes: launchpad.net/46496)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 May 2006 03:56:19 +1000

xorg (7.0.0-0ubuntu44) dapper; urgency=low

  * Map cf console keymap to ca(fr), and fix sanity-checking logic for
    French Canadian vs. US-layout keyboards.
  (Closes Ubuntu: #34627)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 May 2006 13:06:11 +0100

xorg (7.0.0-0ubuntu43) dapper; urgency=low

  * Kill possible loop when asking nice values.
  (Closes Ubuntu: #41976)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 09 May 2006 09:02:41 +0200

xorg (7.0.0-0ubuntu42) dapper; urgency=low

  * Map et console keymap to ee.
  (Closes Ubuntu: #42800)

  * Handle fi-latin1 console keymap the same way as fi.
  (Closes Ubuntu: #42650)

  * Map nl console keymap to nl.
  (Closes Ubuntu: #26552)

  * Map gr console keymap to gr, and add it to the list of non-Latin
    keymaps.

  * Map mk, ro, and ru console keymaps to mk, ro, and ru respectively.

  * Change sr-cy console keymap to map to cs, not sr, following
    xkeyboard-config changes. Add this to the list of non-Latin keymaps.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 16:56:19 +0100

xorg (7.0.0-0ubuntu41) dapper; urgency=low

  * Handle trfu/trqu console keymaps the same way as trf/trq.
  (Closes Ubuntu: #37867)

  * Map croat console keymap to hr.
  (Closes Ubuntu: #43598)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 14:24:48 +0100

xorg (7.0.0-0ubuntu40) dapper; urgency=low

  * Write down sync ranges for sis driver. Too many reports on sis driver not
    being able to get a clue on the connected monitor.
  (Closes at least Ubuntu: #30489)

  * Change xutils/xbase-clients descriptions since they can't be really
    removed as claimed. Tho packages should really stop depending on them.
  (Closes Ubuntu: 42910)

  * Fix regex match for HPPADEPTH.
  (thanks to LaMont Jones for the patch)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 05 May 2006 09:03:34 +0200

xorg (7.0.0-0ubuntu39) dapper; urgency=low

  * Make sure to set UseFBDev on MacMini and old Macs that use r128 driver.
  (Thanks to Benh for the report and the fix and being such a cool guy)

  * Make sure to write sync ranges with CTX S501A LCD monitor since it seems
    to return 2 sets of sync ranges but only one is valid and of course the
    drivers pick up the wrong one.
  (Closes Ubuntu: #38772)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 04 May 2006 10:11:43 +0200

xorg (7.0.0-0ubuntu38) dapper; urgency=low

  * Some ati cards require a kick (sync ranges) when using DVI output.
  (Closes Ubuntu: #39570)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 03 May 2006 11:10:28 +0200

xorg (7.0.0-0ubuntu37) dapper; urgency=low

  * Make sure to write sync values for Intel Corporation 82852/855GM
    Integrated Graphics Device when monitor is LCV/LDVS.
  (Closes Ubuntu: #13846)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 03 May 2006 09:35:49 +0200

xorg (7.0.0-0ubuntu36) dapper; urgency=low

  * Depends on xserver-xorg-input-elographics required to drive touchscreens
    on IBM Point Of Sales.

  * Enable elographics driver in dexconf when matching known machines.

 --  Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 02 May 2006 09:52:34 +0200

xorg (7.0.0-0ubuntu35) dapper; urgency=low

  * Sync xorg-dev package from Debian and make it Arch: all.
  (Closes Ubuntu: #39613)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 01 May 2006 08:44:03 +0200

xorg (7.0.0-0ubuntu34) dapper; urgency=low

  * On some upgrades the X symlink checksum has been lost for unknown
    reasons. Make sure to recreate it if that's the case.

  * Partially revert the patch introduced in 7.0.0-0ubuntu33 that forces sync
    rages for all ati.
    Peter Schewenke (author of the original patch) did provide a better one
    after investigating one possible regression.
  (Closes Ubuntu: #29970)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 28 Apr 2006 08:35:38 +0200

xorg (7.0.0-0ubuntu33) dapper; urgency=low

  * Make sure to always write sync rages with ati driver and lcd/lvds
    monitors. According to #39762 this is always required.
    Also cleanup the ati code that was forcing MONITOR_SYNC_RANGE later
    in the process since it is now catched by the more generic one.
  (Closes Ubuntu: #39762, #37025)

  * Simply the ati powerpc MONITOR_SYNC_RANGE code.

  * Remove unused var from xserver-xorg.postinst.in.

  * Invoke dmidecode when ARCH != ia64 at least untill dmidecode is fixed
    since ia64 does not really need it yet.
  (Closes Ubuntu: #40659)

  * Make hppa users happy with a catch all config:
    - Add Depends: fbset for hppa.
    - update debian/scripts/vars.hppa.
    - update debian/xserver-xorg.postinst.in.
    (thanks to LaMont Jones for the patch)

  NOTE: this code should probably move to xresprobe to return proper info
        directly, but it might be too intrusive to do it at this point
        of the release.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 27 Apr 2006 08:18:16 +0200

xorg (7.0.0-0ubuntu32) dapper; urgency=low

  * Fix typo in xserver-xorg.in.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 26 Apr 2006 18:03:20 +0200

xorg (7.0.0-0ubuntu31) dapper; urgency=low

  * Add Slovenian, Swiss French and Swiss German keyboard layout
    detection.  Malone: #27509

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 26 Apr 2006 11:49:18 +0200

xorg (7.0.0-0ubuntu30) dapper; urgency=low

  * Remove init script messages from x11-common; it basically amounts to a
    mkdir and the user doesn't need to be specially informed

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 24 Apr 2006 10:53:55 -0700

xorg (7.0.0-0ubuntu29) dapper; urgency=low

  * On fresh installs, if the display is not a lcd/lvds, there are not know

