## xorg 7.0.14osso1

=== debian/changelog ===
xorg (1:7.0.14osso1) unstable; urgency=low

  * Remove metapackages we don't use, and X server wrapper.
  * Remove installed files and manpages from x11-common.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 19 Apr 2006 09:03:58 +0000

xorg (1:7.0.14) unstable; urgency=low

  * Add more versioned conflicts (libmotif-dev, motif-clients, xslideshow,
    xtrkcad). Thanks Steve Langasek.
  * Grab discover_video function from xserver-xorg.config.in from 6.9. The
    discover2 support was dropped solely in favor of discover1. This caused
    people with discover installed instead of discover1 to have an error
    returning 64 on their xserver-xorg postinstall. Thanks to Daniele
    Venzano for the bug report. Thanks to Steve Gran and Steve Langasek for
    tracking this down. (closes: #362891, #363021)
  * Make x11-common pre-depend on debconf | debconf-2.0. Thanks Steve
    Langasek. (closes: #362992)
  * Make x-window-system and x-window-system-core transitional packages that
    depend on the xorg package. These packages will smooth upgrades from sarge
    and will be removed upon the release of etch.
  * Make x11-common not depend on laptop-detect. This is now only recommended
    by xserver-xorg. Thanks Marc Wilson. (closes: #363081)
  * Have xserver-xorg-input-all pull in synaptics driver on all arches that
    it's set to build on. This required not loading the plain vars file in
    debian/rules, and having the variable listing the input drivers moved to
    the arch-specific vars files.

 -- David Nusinow <dnusinow@debian.org>  Mon, 17 Apr 2006 12:30:06 -0400

xorg (1:7.0.13) unstable; urgency=low

  * Fix shell snippet that provides the /usr/X11R6/bin dir->symlink
    transition. This prevents the test from succeeding incorrectly.
    Thanks Steve Langasek. (closes: #362940)
  * Fix case on xfs-xtt conflict for x11-common. Thanks Mike Furr.
    (closes: #362955)
  * Add x11-common conflict on xearth. Thanks Steve M. Robbins.
    (closes: #362524)

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Apr 2006 17:45:49 -0400

xorg (1:7.0.12) unstable; urgency=low

  * Move hardware autodetection stuff to Recommends rather than Depends.
    Also allow discover in addition to discover1. Thanks a lot of people.
    (closes: #322659, #362060,#362253)
  * Update list of x11-common conflicts. Thanks Steve Langasek.
    (closes: #362711)
  * Better document what can be done in the event that x11-common isn't empty
    on upgrade. Tell people in the error message that they can move the items
    there back after the installation has finished.
  * Make xserver-xorg-(input|video)-all arch: any rather than all, to let them
    build properly. Thanks Eugene Konev for the fix. Thanks Paul Wise and LIU
    Xin. (closes: #362719, #362720, #362694, #362672)
  * Remove the /usr/X11R6/bin/X symlink from xserver-xorg. Also bump the
    x11-common conflicts with xserver-xorg to this version. Thanks Joey Hess
    and Christian Hammers. Thanks to Steve Langasek for the fix.
    (closes: #362713, #362672)
  * Add pgaccess to the list of packages to conflict with. Thanks Bas
    Couwenberg. (closes: #362685)
  * Have safer and better logic for replacing the /usr/X11R6/bin dir with a
    symlink. Handle new installs. Thanks Bart Vanhaute. (closes: #362780)

 -- David Nusinow <dnusinow@debian.org>  Sat, 15 Apr 2006 12:41:32 -0400

xorg (1:7.0.11) unstable; urgency=low

  * Have xserver-xorg depend on xkb-data | xkb-data-legacy. Not a recommends
    any more. Thanks to a lot of people. (closes: #362112, #362105, #362521)
  * Make various metapackages arch: any rather than arch: all
  * Add s390 vars script source to allow the package to build on that arch.
    Provides only the dummy video driver currently.
    (closes: #361908, #361909)
  * On xserver-xorg postinst, reconfigure for all versions less than or equal
    to this one. This will only occur if the file is not customized. This will
    automatically correct for new font and xkb data paths. Users with
    customized files will have to make the necessary changes, documented in
    the NEWS.Debian file for the xserver-xorg-core package.
  * Have x11-common conflict with packages installing binaries to
    /usr/X11R6/bin. We need to remove them in order to install a proper
    symlink at this location to /usr/bin. Packages will still be able to
    install to /usr/X11R6/bin, but they need to be removed from the system
    first so that we can set up the symlink and not drop them out of the path.
    Thanks Steve Langasek. (closes: #362524, #362200)
  * Symlink /usr/X11R6/bin to /usr/bin in x11-common.postinst. Thanks Steve
    Langasek.
  * Several fixes for fonts. Include /usr/X11R6/lib/X11/fonts as a directory
    in x11-common for font packages that have not transitioned to the new
    directory. /usr/lib/X11/fonts symlinks to this directory. Both of these
    used to be symlinks to /usr/share/fonts/X11 but no longer. We explicitly
    remove the symlink at /usr/X11R6/lib/X11/fonts in the x11-common preinst
    to ensure this transition. Thanks Eugene Konev.
  * Document the change of PATH to /usr/X11R6/bin in x11-common NEWS.Debian
    file. Thanks Joey Hess. (closes: #362222)
  * Have x11-common conflict with libxft-dev <= 2.1.8.2-5. Thanks Margarita
    Manterola. (closes: #362255)
  * Document the metapackage name change in x11-common's NEWS.Debian.
  * Have xserver-xorg depend on xbase-clients
  * Ensure that config file md5sum gets migrated from /var/lib/xfree86 to
    /var/libx11. To do so, separate the test for it from the roster file in
    the xserver-xorg preinst. Properly handle the migration itself as well by
    using better variables in the mv command. Thanks Justin Pryzby.
    (closes: #331690)
  * Similarly separate the md5sum for the server symlink from the roster. Also
    handle the case where the server symlink md5sum is removed but the symlink
    itself is in place. Here we just remake the md5sum using that symlink
    silently.


